A tool to help with the process of upgrading modules to the latest version of Node.js (v4), it will check dependencies against a Node.js version
JavaScript
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
test
.gitignore
.travis.yml
LICENSE.md
README.md
help.txt
package.json
upgrade-ready.js

README.md

upgrade-ready

Upgrade ready CLI tool.

With this tool you can check your installed dependencies against a specific Node.js version.

We made this tool with much <3 to help you in the process to upgrade your application to the recent versions of Node.js (6.10.3)

The tool connect with a remote server where we try to install your dependencies tree using the selected Node.js version.

Installation

$ [sudo] npm install -g upgrade-ready

Usage

Make sure you run the tool after installing dependencies with npm install on your working Node.js or io.js setup

$ upgrade-ready 6.10.3

For help message:

$ upgrade-ready --help

Authors and Contributors

Daniel AristizabalGitHub/cronopioTwitter/@cronopio2
Julián DuqueGitHub/julianduqueTwitter/@julian_duque
Dan ShawGitHub/dshawTwitter/@dshaw

Contributions are welcomed from anyone wanting to improve this project!

License & Copyright

upgrade-ready is Copyright (c) 2016 NodeSource and licensed under the MIT license. All rights not explicitly granted in the MIT license are reserved. See the included LICENSE.md file for more details.